-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: db
-- Creato il: Mag 17, 2023 alle 10:02
-- Versione del server: 8.0.33
-- Versione PHP: 8.1.18

--
-- Database: `hotel`
--
CREATE DATABASE IF NOT EXISTS `hotel`;
USE `hotel`;

-- --------------------------------------------------------

--
-- Struttura della tabella `TRAVEL_AGENCY`
--

--
-- Struttura della tabella `CITY`
--

CREATE TABLE `CITY` (
  `Name` varchar(32) NOT NULL,
  `Latitude` float DEFAULT NULL,
  `Longitude` float DEFAULT NULL,
  `Country` varchar(32) DEFAULT NULL,
  `Region` varchar(32) NOT NULL,
  PRIMARY KEY (`Name`)
);

--
-- Dump dei dati per la tabella `CITY`
--

INSERT INTO `CITY` (`Name`, `Latitude`, `Longitude`, `Country`, `Region`) VALUES
('Bari', 41.1253, 16.8667, 'Italy', 'Puglia'),
('Bologna', 44.4939, 11.3428, 'Italy', 'Emilia-Romegna'),
('Brescia', 45.5389, 10.2203, 'Italy', 'Lombardy'),
('Catania', 37.5, 15.0903, 'Italy', 'Sicilia'),
('Cosenza', 39.3, 16.25, 'Italy', 'Calabria'),
('Florence', 43.7714, 11.2542, 'Italy', 'Tuscany'),
('Genoa', 44.4111, 8.9328, 'Italy', 'Liguria'),
('Messina', 38.1936, 15.5542, 'Italy', 'Sicilia'),
('Milan', 45.4669, 9.19, 'Italy', 'Lombardy'),
('Modena', 44.6458, 10.9257, 'Italy', 'Emilia-Romegna'),
('Napoli', 40.8333, 14.25, 'Italy', 'Campania'),
('Padova', 45.4064, 11.8778, 'Italy', 'Veneto'),
('Palermo', 38.1157, 13.3613, 'Italy', 'Sicilia'),
('Parma', 44.8015, 10.328, 'Italy', 'Emilia-Romegna'),
('Prato', 43.8808, 11.0966, 'Italy', 'Tuscany'),
('Rome', 41.8931, 12.4828, 'Italy', 'Lazio'),
('Taranto', 40.4711, 17.2431, 'Italy', 'Puglia'),
('Turin', 45.0792, 7.6761, 'Italy', 'Piedmont'),
('Trieste', 45.6503, 13.7703, 'Italy', 'Friuli Venezia Giulia'),
('Venezia', 45.4397, 12.3319, 'Italy', 'Veneto'),
('Verona', 45.4386, 10.9928, 'Italy', 'Veneto');

-- --------------------------------------------------------


CREATE TABLE `TRAVEL_AGENCY` (
  `CodA` int NOT NULL,
  `WebSite` varchar(32) DEFAULT NULL,
  `Tel` varchar(32) NOT NULL,
  `Street_Address` varchar(32) NOT NULL,
  `ZIP_Address` int NOT NULL,
  `City_Address` varchar(32) NOT NULL,
  `Num_Address` int NOT NULL,
  `Country_Address` varchar(32) NOT NULL,
  PRIMARY KEY (`CodA`),
  FOREIGN KEY (`City_Address`) REFERENCES `CITY` (`Name`)
);

--
-- Dump dei dati per la tabella `TRAVEL_AGENCY`
--

INSERT INTO `TRAVEL_AGENCY` (`CodA`, `WebSite`, `Tel`, `Street_Address`, `ZIP_Address`, `City_Address`, `Num_Address`, `Country_Address`) VALUES
(1, 'www.ag1.it', '070-123456', 'Via Stretta', 1234, 'Milan', 12, 'Italia'),
(2, 'www.ag2.it', '070-234567', 'Via Corta', 2345, 'Rome', 24, 'Italia'),
(3, NULL, '070-345678', 'Via Lunga', 3456, 'Napoli', 38, 'Italia'),
(4, 'www.ag4.it', '070-23232', 'Via Leonardo', 2345, 'Rome', 11, 'Italia'),
(5, 'www.ag5.it', '070-89821', 'Via Rimini', 1234, 'Milan', 5, 'Italia'),
(6, 'www.ag6.it', '070-77623', 'Via Cavour', 1234, 'Milan', 89, 'Italia'),
(7, 'www.ag7.it', '070-14521', 'Via dei Maritri', 1234, 'Milan', 43, 'Italia'),
(8, 'www.ag8.it', '070-22121', 'Via Ugo Foscolo', 7777, 'Brescia', 130, 'Italia'),
(9, 'www.ag9.it', '070-34012', 'Via Milan', 8989, 'Florence', 77, 'Italia'),
(10, 'www.ag10.it', '070-99881', 'Via Trento', 8989, 'Florence', 10, 'Italia'),
(11, 'www.ag11.it', '070-01001', 'Via Linati', 9876, 'Parma', 10, 'Italia');

-- --------------------------------------------------------

--
-- Struttura della tabella `ROOM`
--

CREATE TABLE `ROOM` (
  `CodR` int NOT NULL,
  `Floor` int NOT NULL,
  `SurfaceArea` int NOT NULL,
  `Type` varchar(32) NOT NULL,
  PRIMARY KEY (`CodR`)
);
--
-- Dump dei dati per la tabella `ROOM`
--

INSERT INTO `ROOM` (`CodR`, `Floor`, `SurfaceArea`, `Type`) VALUES
(1, 1, 20, 'single'),
(2, 2, 30, 'double'),
(3, 3, 40, 'suite'),
(4, 2, 20, 'single'),
(5, 4, 17, 'single'),
(6, 5, 25, 'double'),
(7, 4, 25, 'double'),
(8, 2, 45, 'suite'),
(9, 6, 45, 'suite'),
(10, 2, 35, 'suite'),
(11, 4, 15, 'single'),
(12, 8, 25, 'single'),
(13, 3, 30, 'double');
--
-- Struttura della tabella `HAS_AMENITIES`
--

CREATE TABLE `HAS_AMENITIES` (
  `AMENITIES_Amenity` varchar(32) NOT NULL,
  `ROOM_CodR` int NOT NULL,
  PRIMARY KEY (AMENITIES_Amenity, ROOM_CodR),
  FOREIGN KEY (ROOM_CodR) REFERENCES ROOM(CodR)
);
--
-- Dump dei dati per la tabella `HAS_AMENITIES`
--

INSERT INTO `HAS_AMENITIES` (`AMENITIES_Amenity`, `ROOM_CodR`) VALUES
('balcony', 1),
('balcony', 2),
('jacuzzi', 2),
('minibar', 2),
('minibar', 3),
('balcony', 4),
('pay-tv', 5),
('minibar', 11),
('balcony', 11),
('balcony', 6),
('jacuzzi', 6),
('balcony', 8),
('jacuzzi', 8),
('jacuzzi', 9),
('minibar', 12),
('minibar', 10),
('pay-tv', 10),
('balcony', 7),
('pay-tv', 13);


-- --------------------------------------------------------

--
-- Struttura della tabella `HAS_SPACES`
--

CREATE TABLE `HAS_SPACES` (
  `SPACES_Space` varchar(32) NOT NULL,
  `ROOM_CodR` int NOT NULL,
  PRIMARY KEY (SPACES_Space, ROOM_CodR),
  FOREIGN KEY (ROOM_CodR) REFERENCES ROOM(CodR)
);

--
-- Dump dei dati per la tabella `HAS_SPACES`
--

INSERT INTO `HAS_SPACES` (`SPACES_Space`, `ROOM_CodR`) VALUES
('bathroom', 3),
('camera da letto', 3),
('kitchen', 3),
('kitchen', 4),
('kitchen', 6),
('kitchen', 13),
('dining room', 3),
('dining room', 7),
('dining room', 5);

-- --------------------------------------------------------

--
-- Struttura della tabella `BOOKING`
--

CREATE TABLE `BOOKING` (
  `ROOM_CodR` int NOT NULL,
  `StartDate` varchar(32) NOT NULL,
  `EndDate` varchar(32) NOT NULL,
  `Cost` double NOT NULL,
  `TRAVEL_AGENCY_CodA` int NOT NULL,
  PRIMARY KEY (ROOM_CodR, StartDate),
  FOREIGN KEY (ROOM_CodR) REFERENCES ROOM(CodR),
  FOREIGN KEY (TRAVEL_AGENCY_CodA) REFERENCES TRAVEL_AGENCY(CodA)
);

--
-- Dump dei dati per la tabella `BOOKING`
--

INSERT INTO `BOOKING` (`ROOM_CodR`, `StartDate`, `EndDate`, `Cost`, `TRAVEL_AGENCY_CodA`) VALUES
(1, '2023-01-01', '2023-01-10', 1000, 1),
(2, '2023-01-01', '2023-01-10', 1500, 2),
(3, '2023-02-01', '2023-02-10', 800, 2),
(13, '2023-03-01', '2023-03-10', 800, 2),
(2, '2023-01-12', '2023-01-17', 560, 2),
(3, '2023-03-13', '2023-03-17', 270, 2),
(4, '2023-02-01', '2023-02-05', 300, 3),
(3, '2023-02-06', '2023-02-07', 90, 3),
(7, '2023-09-06', '2023-09-17', 1250, 3),
(10, '2023-08-06', '2023-08-09', 950, 3),
(10, '2023-04-16', '2023-04-19', 660, 5),
(10, '2023-07-13', '2023-07-20', 1185, 5),
(8, '2023-12-11', '2023-12-14', 710, 4);

-- --------------------------------------------------------
